"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reserveConnection = void 0;
const java_1 = require("./java");
const reserveConnection = ({ user, password, jdbcUrl }) => {
    const java = (0, java_1.getJavaInstance)();
    const connectionProperties = java.newInstanceSync('java.util.Properties');
    if (user) {
        connectionProperties.put('user', user);
    }
    if (password) {
        connectionProperties.put('password', password);
    }
    const connectionObject = java.callStaticMethodSync('java.sql.DriverManager', 'getConnection', jdbcUrl, connectionProperties);
    return connectionObject;
};
exports.reserveConnection = reserveConnection;
//# sourceMappingURL=connection.js.map